scala.collection.Searching

# InsertionPoint

#### case class InsertionPoint(insertionPoint: Int) extends SearchResult with Product with Serializable

Source
  Searching.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, SearchResult, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. InsertionPoint
2. Serializable
3. Serializable
4. Product
5. Equals
6. SearchResult
7. AnyRef
8. Any

Implicitly

1. by search
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new InsertionPoint(insertionPoint: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from InsertionPoint to any2stringadd[InsertionPoint] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (InsertionPoint, B)

   Implicit information
     This member is added by an implicit conversion from InsertionPoint to ArrowAssoc[InsertionPoint] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val coll: SeqLike[A, InsertionPoint]

   Implicit information
     This member is added by an implicit conversion from InsertionPoint to SearchImpl[A, InsertionPoint] performed by method search in scala.collection.Searching. This conversion will take place only if an implicit value of type IsSeqLike[InsertionPoint] is in scope.
   Definition Classes
     SearchImpl

9. #### def ensuring(cond: (InsertionPoint) ⇒ Boolean, msg: ⇒ Any): InsertionPoint

   Implicit information
     This member is added by an implicit conversion from InsertionPoint to Ensuring[InsertionPoint] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (InsertionPoint) ⇒ Boolean): InsertionPoint

    Implicit information
      This member is added by an implicit conversion from InsertionPoint to Ensuring[InsertionPoint] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): InsertionPoint

    Implicit information
      This member is added by an implicit conversion from InsertionPoint to Ensuring[InsertionPoint] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): InsertionPoint

    Implicit information
      This member is added by an implicit conversion from InsertionPoint to Ensuring[InsertionPoint] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from InsertionPoint to StringFormat[InsertionPoint] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val insertionPoint: Int

    Definition Classes
      InsertionPoint → SearchResult

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def search[B >: A](elem: B, from: Int, to: Int)(implicit ord: math.Ordering[B]): SearchResult

    Search within an interval in the sorted sequence for a specific element.

    Search within an interval in the sorted sequence for a specific element. If the sequence is an IndexedSeq, a binary search is used. Otherwise, a linear search is used.

    The sequence should be sorted with the same `Ordering` before calling; otherwise, the results are undefined.

    elem

      the element to find.

    from

      the index where the search starts.

    to

      the index following where the search ends.

    ord

      the ordering to be used to compare elements.

    returns

      a `Found` value containing the index corresponding to the element in the sequence, or the `InsertionPoint` where the element would be inserted if the element is not in the sequence.

    Implicit information
      This member is added by an implicit conversion from InsertionPoint to SearchImpl[A, InsertionPoint] performed by method search in scala.collection.Searching. This conversion will take place only if an implicit value of type IsSeqLike[InsertionPoint] is in scope.
    Definition Classes
      SearchImpl
    See also

      scala.collection.SeqLike, method `sorted`

      scala.math.Ordering

      scala.collection.IndexedSeq

23. #### final def search[B >: A](elem: B)(implicit ord: math.Ordering[B]): SearchResult

    Search the sorted sequence for a specific element.

    Search the sorted sequence for a specific element. If the sequence is an `IndexedSeq`, a binary search is used. Otherwise, a linear search is used.

    The sequence should be sorted with the same `Ordering` before calling; otherwise, the results are undefined.

    elem

      the element to find.

    ord

      the ordering to be used to compare elements.

    returns

      a `Found` value containing the index corresponding to the element in the sequence, or the `InsertionPoint` where the element would be inserted if the element is not in the sequence.

    Implicit information
      This member is added by an implicit conversion from InsertionPoint to SearchImpl[A, InsertionPoint] performed by method search in scala.collection.Searching. This conversion will take place only if an implicit value of type IsSeqLike[InsertionPoint] is in scope.
    Definition Classes
      SearchImpl
    See also

      scala.collection.SeqLike, method `sorted`

      scala.math.Ordering

      scala.collection.IndexedSeq

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def →[B](y: B): (InsertionPoint, B)

    Implicit information
      This member is added by an implicit conversion from InsertionPoint to ArrowAssoc[InsertionPoint] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SearchResult

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion search from InsertionPoint to SearchImpl[A, InsertionPoint]

### Inherited by implicit conversion any2stringadd from InsertionPoint to any2stringadd[InsertionPoint]

### Inherited by implicit conversion StringFormat from InsertionPoint to StringFormat[InsertionPoint]

### Inherited by implicit conversion Ensuring from InsertionPoint to Ensuring[InsertionPoint]

### Inherited by implicit conversion ArrowAssoc from InsertionPoint to ArrowAssoc[InsertionPoint]

### Ungrouped